# Temporary Close Location with a reopening date

```http
POST https://api.synup.com/api/v4/automations/temporary-close-location-with-reopening-date
```

Temporary close a location with a reopening date.
Note : Ensure your account has automation part of your subscriptions. This functionality is supported only for Google and Facebook Listings.

Source: https://developer.synup.com/api/automations/temporary-close-location-with-a-reopening-date

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | object | required |  |
| `input.name` | string | required |  |
| `input.startDate` | string | required |  |
| `input.startTime` | string | required |  |
| `input.endDate` | string | required |  |
| `input.locationId` | string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/automations/temporary-close-location-with-reopening-date' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "name": "Automation to temporary close a Location",
    "startDate": "2025-02-25",
    "startTime": "10:59:51",
    "endDate": "2025-02-28",
    "locationId": "85006"
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
